chom(1)

Name
chom - Creates a script for use in magma to calculate Homology of a group for mappings from different dimensions.

Syntax

    chom [-v] start end inputfile [outputfile]

Options

-v  (Optional) Enters verbose mode. Extra information is included in the output file including the number of critical tuples and the invariants of the matrices in each dimension.

start
    the starting dimension (> 1) whose matrix we will produce for use in magma.

end the end dimension (>= start) whose matrix we will produce.

inputfile
    the groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program.

outputfile
    file for output. If no file name is given Standard Output is used.

Usage
Given a group and its complete rewriting system including finite state automata (the inputfile), creates a script for use in magma to calculate Homology of the group for mappings from different dimensions. The algorithm creates each matrix for calculating Homology dimension n, by calculating boundaries for critical n-tuples, and forming a matrix from these calculations. Once the outputfile has been created, it is a simple task to run magma with this file. See the example below for details. The boundary calculation algorithms used are based on those given by J. R. J. Groves "Rewriting Systems and Homolgy of Groups" in his research report from The University of Melbourne, Department of Mathematics, 1990 and original algorithms by J.R.J.Groves 1993-1994.

Example
Suppose we have a groups rewriting system in a file "grpA.kbeqn". We are interested in homology for the mappings from dimension 3 to 2 and 4 to 3, and we'd like the output in verbose mode. We run chom as follows:
        chom -v 2 4 grpA.kbeqn output The resulting file "output" contains matrices for dimensions 1, 2, 3 and 4, along with other information in a format ready for use with magma. magma should give as output homology calculations for dimensions 2, 3 and 4. We can now run magma, and type:
        load output; For an example of the resulting output, see calchom.

Bugs
If a rewriting system is not complete, the program may crash. This is because certain tests are not performed to reduce execution time.

See also
cfsa(1) kbeqn(1) kbeqn2(1) chom_stats(1)

Author
Jamie P. Curmi (6/10/94) for the Computational Tools for Homolgy of Groups Project